import request from '@/utils/request'

// 创建文件配置
export function createFileForConfig(data) {
  return request({
    url: '/server/file-for-config/create',
    method: 'post',
    data: data
  })
}

// 更新文件配置
export function updateFileForConfig(data) {
  return request({
    url: '/server/file-for-config/update',
    method: 'post',
    data: data
  })
}

// 删除文件配置
export function deleteFileForConfig(id) {
  return request({
    url: '/server/file-for-config/delete?id=' + id,
    method: 'post'
  })
}

// 获得文件配置
export function getFileForConfig(id) {
  return request({
    url: '/server/file-for-config/get?id=' + id,
    method: 'get'
  })
}

// 获得文件配置分页
export function getFileForConfigPage(params) {
  return request({
    url: '/server/file-for-config/page',
    method: 'get',
    params
  })
}
// 导出文件配置 Excel
export function exportFileForConfigExcel(params) {
  return request({
    url: '/server/file-for-config/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// 下载报送模板
export function downloadTemplate() {
  return request({
    url: '/server/harmful-info-report/download-template',
    method: 'get',
    responseType: 'blob'
  })
}
